20060417 tpd --patch-49
20060417 tpd zips/gcl-2.6.8pre.tgz updated
20060417 tpd zips/gcl-2.6.8pre.unixport.init_gcl.lsp.in.patch changed
20060417 tpd lsp/Makefile gcl-2.6.8pre.configure.patch reverted
20060417 tpd lsp/Makefile gcl-2.6.8pre.configure.in.patch reverted
20060417 rhx Ralf Hemmecke <ralf@hemmecke.de> changed globally
20060417 tpd src/input/wester.input add )clear properties p
20060417 tpd src/input/Makefile fix dropt.input
20060417 tpd src/input/Makefile add zimmer.input
20060417 tpd src/input/zimmer.input fixed. 
20060416 tpd --patch-48
20060416 tpd Makefile remove gcl from lsp subdirectory when cleaning
20060416 tpd lsp/Makefile gcl-2.6.8pre.configure.patch applied
20060416 tpd Makefile noweb patches reverted due to missing tempfile fn
20060416 tpd src/input/Makefile add mapleok.input
20060416 tpd src/input/mapleok.input added
20060416 tpd Makefile noweb.src.shell.roff.mm.patch applied
20060416 tpd Makefile noweb.src.lib.toascii.nw.patch applied
20060416 tpd Makefile noweb.src.shell.toroff.patch applied
20060416 tpd Makefile noweb.src.shell.noroff.patch applied
20060416 tpd Makefile noweb.src.shell.roff.nw.patch applied
20060416 tpd Makefile noweb.src.shell.nonu.patch applied
20060416 tpd Makefile noweb.src.shell.cpif.patch applied
20060416 tpd Makefile noweb.src.lib.toascii.patch applied
20060416 tpd Makefile noweb.src.awk.totex.nw.patch applied
20060416 tpd Makefile noweb.src.awkname.patch applied
20060416 tpd lsp/Makefile gcl-2.6.8pre stanza created
20060416 tpd Makefile make litcmds conditional to stop duplicate copy
20060416 tpd Makefile GCLVERSION=gcl-2.6.8pre
20060416 tpd zips/gcl-2.6.8pre.cmpnew.gcl_cmpcall.lsp.patch created
20060416 tpd zips/gcl-2.6.8pre.cmpnew.gcl_cmpflet.lsp.patch created
20060416 tpd zips/gcl-2.6.8pre.unixport.init_gcl.lsp.in.patch created
20060416 tpd zips/gcl-2.6.8pre.unixport.makefile.patch created
20060416 tpd zips/gcl-2.6.8pre.h.linux.defs.patch created
20060416 tpd zips/gcl-2.6.8pre.configure.in.patch created
20060416 tpd zips/gcl-2.6.8pre.tgz created
20060412 gxv FAQ 40: Text entry fails in the hypertex browser window
20060412 fxl src/doc/endpaper removed 'final' option to hyperref
20060412 tpd Makefile fix clean stanza to delete subdirs
20060405 tpd src/input/bug10069 update documentation
20060405 tpd src/input/bug10069 remove duplicate cot(0.0)
20060404 tpd src/interp/bookvol5 *suppress-compiler-notes* t
20060404 tpd src/interp/bookvol5 *suppress-compiler-warnings* t
20060404 tpd src/interp/bookvol5 *compile-verbose* nil
20060402 gdr src/boot/Makefile \ennd -> \end typo fixed
20060331 gxv src/interp/macros.lisp fix bugs #114 and #196
20060307 tpd src/algebra/numtheor.spad minor syntactic edit in explanation
20060302 gxv src/algebra/sf.spad add doubleFloatFormat function
20060302 gxv src/interp/pf2sex.boot handle $useBFasDefault in float2sex
20060302 fxl src/doc/bookvol1 typo fixes
20060302 fxl Frederic Lehobey <Frederic.Lehobey@free.fr>
20060216 axh src/hyper/Makefile add execute bit to htsearch, presea
20060216 axh Antoine.Hersen <antoine.hersen@gmail.com>
20060211 gxv src/interp/foam_l.lisp fix PtrMagicEq final case
20060117 wsp lsp/Makefile missing quote mark in configure.in patch
20060116 mvz src/doc/book fix typo
20060116 mvz Matijs van Zuijlen <Matijs.van.Zuijlen@xs4all.nl>
20060115 rhx src/interp/setq.lisp 2006 -> 2005
20060115 rhx README 2006 -> 2005
20060115 rhx src/algebra/Makefile add sort to findSpadFiles
20060115 rhx src/algebra/Makefile add sort to findBootstrapFiles
20060115 rhx Ralf Hemmecke <ralf@hemmecke.de>
20060102 tpd src/interp/sys-pkg.lisp FOAD -> FOAM
20060102 tpd src/interp/bookvol5 add getenviron
20060102 tpd src/interp/bookvol5 add reclaim
20060102 tpd --patch-47
20060102 tpd src/interp/Makefile cp, don't mv bookvol5.dvi
20060102 tpd src/hyper/initx.c comment out rgbdef in initializeWindowSystem
20060102 tpd src/include/spadclient.H1 void main -> int main
20060102 tpd src/include/session.H1 void main -> int main
20060101 tpd src/hyper/spadint.c rewrite ambiguous code
20060101 tpd src/hyper/parse_types.c #include "hterror.h"
20060101 tpd src/hyper/Makefile make parse_types.c depend on hterror.h
20060101 tpd src/hyper/item.c init prev in copy_item_stack
20060101 tpd src/hyper/initx.c init rgbdef in initializeWindowSystem
20060101 tpd src/hyper/htinp.c init file, pfile in make_input_file_from_page
20060101 tpd src/hyper/group.c initialize newgp, prev in copy_group_stack()
20060101 tpd src/hyper/dialog.c initialize line
20060101 tpd src/sman/spadclient.c void main -> int main
20060101 tpd src/sman/session.c void main -> int main
20060101 tpd src/graph/viewAlone/spoon2D.c add missing printf argument
20060101 tpd src/graph/view3d/viewport3d.c #include <stdlib.h>
20060101 tpd src/graph/view3D/surface3d.c initialize tempQuick
20060101 tpd src/graph/view3D/smoothShade3d.c rewrite ambiguous code
20060101 tpd src/graph/view3D/project3d.c initialize x0, y0, xA, yA, xB, yB
20060101 tpd src/graph/view3D/process3d.c initialize changingColor = yes
20060101 tpd src/graph/view3D/process3d.c initialize first_time = yes
20060101 tpd src/graph/view3D/main3d.c void main -> int main
20060101 tpd src/graph/include/main3d.H1 void main -> int main
20060101 tpd src/algebra/Makefile add uniq to findSpadFiles
20060101 tpd src/algebra/Makefile add uniq to findBootstrapFiles
20060101 tpd src/interp/Makefile fix sense of -z test for NOISE
20060101 tpd src/interp/Makefile fix echo on parse.clisp
20051227 tpd bookvol1 version 2 with ISBN 1-4116-6597-X published by lulu.com
20051214 tpd src/doc/bookvol5 fix |getEnv| for debugsys
20051211 tpd src/doc/Makefile bookvol1 added
20051211 tpd src/doc/ps/bookvol1*.ps added
20051211 tpd src/doc/bookvol1.pamphlet added
20051211 tpd src/doc/bookvol1.pdf added
20051211 tpd bookvol1 version 2 published by lulu.com
20051210 cxm FAQ update FAQ 37 with more SELinux fixes
20051209 wsp src/doc/endpaper add hyperref options
20051209 tpd src/doc/Makefile add endpaper.dvi target
20051208 tpd src/interp/setq.lisp Jocelyn Guidry <guidryjocelyn@sbcglobal.net>
20051208 tpd README add Jocelyn Guidry <guidryjocelyn@sbcglobal.net>
20051207 tpd src/doc/endpaper added hyperlinks
20051206 tpd src/interp/sys-pkg.lisp document package usage
20051206 tpd Makefile change MACOSX to use GCLOPTS-CUSTRELOC
20051204 tpd src/lib/cfuns-c.c include /usr/include/unistd.h not <unistd.h>
20051204 tpd src/lib/wtc.c include /usr/include/time.h instead of <time.h>
20051204 tpd src/lib/wtc.c include /usr/include/unistd.h instead of <unistd.h>
20051204 tpd src/lib/util.c include /usr/include/unistd.h instead of <unistd.h>
20051204 tpd src/lib/spadcolors.c rewrite AllocCells to request pixel values
20051204 tpd src/lib/spadcolors.c initialize rgb values
20051204 tpd src/lib/sockio-c.c include /usr/include/signal.h not <signal.h>
20051204 tpd src/lib/sockio-c.c include /usr/include/unistd.h not <unistd.h>
20051204 tpd src/lib/fnct_key.c include /usr/include/unistd.h not <unistd.h>
20051204 tpd src/lib/edin.c include /usr/include/unistd.h not <unistd.h>
20051204 tpd src/lib/bsdsignal.c include /usr/include/signal.h not <signal.h>
20051204 tpd FAQ 39: How can I access lisp code from the Axiom command line?
20051201 tpd bookvol1 published by lulu.com
20051129 tpd src/interp/setq.lisp add Ralf Hemmecke <ralf@hemmecke.de>
20051129 tpd README add Ralf Hemmecke <ralf@hemmecke.de>
20051129 tpd src/interp/setq.lisp add Clifford Yapp <smustudent@yahoo.com>
20051129 tpd README add Clifford Yapp <smustudent@yahoo.com>
20051126 tpd Makefile change gawk to awk in top level Makefile for MACOSX
20051107 tpd FAQ 38: How can I debug algebra code?
20051104 tpd FAQ update FAQ 19 with |pf2Sex|
20051031 tpd src/interp/bookvol5 allocate-contiguous-pages (cpages 3000)
20051030 tpd FAQ add FAQ 37: Axiom won't build on FC4
20051030 tpd FAQ add FAQ 36: Axiom won't build on FC3
20051030 tpd --patch-46
20051030 tpd src/interp/Makefile add BOOK, mv bookvol5 to ${BOOK}
20051030 tpd src/interp/HowItWorks removed
20051030 tpd src/etc/Makefile remove AXIOM variable from axiom cmd
20051030 tpd src/algebra/Makefile copy libdb.text to mnt/linux/algebra
20051030 wys src/lib/pixmap.c uncompress -> gunzip
20051030 mxr src/algebra/perman.spad nextSubsetGray documentation fix
20051030 mxr src/algebra/transsolve.spad patch solveList for empty list
20051030 tpd src/interp/vmlisp.lisp remove statisticsInitialization
20051030 tpd src/interp/util.lisp loadExposureGroupData
20051030 tpd src/interp/util.lisp remove reroot, init-memory-config, spad-save
20051030 tpd src/interp/util.lisp remove make-absolute-filename, initroot
20051030 tpd src/interp/sockio.lisp remove SpadServerName
20051030 tpd src/interp/setq.lisp remove history variables
20051030 tpd src/interp/pathname.boot remove history functions
20051030 tpd src/interp/patches.lisp remove restart, set-restart-hook
20051030 tpd src/interp/packtran.boot remove ncTopLevel
20051030 tpd src/interp/nci.lisp remove ncIntLoop
20051030 tpd src/interp/Makefile remove i-hist, undo. add bookvol5
20051030 tpd src/interp/i-util.boot remove makeInitialModemapFrame
20051030 tpd src/interp/i-toplev.boot remove spad, runspad
20051030 tpd src/interp/i-syscmd.boot remove )frame handling
20051030 tpd src/interp/int-top.boot remove SpadInterpretStream
20051030 tpd src/interp/int-top.boot remove intloop
20051030 tpd src/interp/int-top.boot remove intloopReadConsole
20051030 tpd src/interp/intint.lisp remove intSpadServer
20051030 tpd src/interp/i-hist.boot deleted
20051030 tpd src/interp/debugsys add shell variable checking
20051030 tpd src/interp/debugsys use *sys*, not *src*
20051030 tpd src/interp/debugsys bookvol5 added
20051030 tpd src/interp/bookvol5 added
20051030 tpd Makefile fix clean to remove int, obj, mnt
20051030 tpd Makefile add WEAVE ENV variable
20051027 mxr src/algebra/combfunc.spad reduce equal sums to zero
20051025 tpd src/doc/msgs/s2-us.msgs add S2IH0029, missing msg
20051020 gxv src/algebra/naalg.spad fix FRNAAF2 bug
20051019 tpd FAQ explain how to run debugsys.lisp
20051019 tpd src/interp/debugsys check shell variable settings
20051019 tpd src/interp/debugsys introduce *build-version* variable
20051019 tpd src/interp/debugsys lookup ${SYS} and insert in code
20050915 tpd Makefile --enable-maxpage changed from 128 to 256
20050831 tpd --patch-45
20050831 tpd src/interp/setvart.boot changed )set compile default to 'on'
20050831 tpd Makefile removed recursive clean into src
20050831 tpd src/graph/viewman/make3D.c initialize cMin, cMax, cNorm
20050831 tpd src/hyper/htadd.c cast fstats.st_mtime to int for fprintf
20050831 tpd src/hyper/htadd.c change 'long pos' to 'int pos'
20050831 tpd src/hyper/htadd.c initialize db_fp, temp_db_fp, ht_fp
20050831 tpd src/doc/Makefile.pamphet use $DOCUMENT on DeveloperNotes
20050831 tpd Makefile add WEAVE variable to ENV
20050831 tpd src/interp/setq.lisp added Heow Eide-Goodman
20050831 tpd src/interp/setq.lisp added Kai Kaminski
20050831 tpd README added Heow Eide-Goodman
20050831 tpd README added Kai Kaminski
20050829 pab src/interp/patches.lisp modify restart0 for Aldor
20050829 pab src/interp/i-syscmd.boot modify <<remove TRUENAME>> for Aldor
20050829 pab src/interp/foam_l.lisp modify PtrMagicEQ for Aldor
20050829 pab src/interp/daase.lisp modify create-initializers for Aldor
20050829 pab src/interp/ax.boot modify axFormatPred for Aldor
20050813 tpd --patch-44
20050813 tpd Makefile VERSION update to Axiom 3.9 (September 2005)
20050813 tpd lsp/Makefile gcl-2.6.7 patches
20050813 tpd Makefile GCLVERSION=gcl-2.6.7
20050813 tpd gcl-2.6.7.unixport.makefile.patch
20050813 tpd gcl-2.6.7.unixport.init_gcl.lsp.in.patch added
20050813 tpd gcl-2.6.7.h.linux.defs.patch added
20050813 tpd gcl-2.6.7.cmpnew.gcl_cmpflet.lsp.patch added
20050813 tpd gcl-2.6.7.cmpnew.gcl_cmpcall.lsp.patch added
20050813 tpd gcl-2.6.7.tgz added
20050730 tpd --patch-43
20050730 tpd FAQ 35 Why do .axiom.input defined functions fail in axiom?
20050730 tpd Makefile VERSION update to Axiom 3.8 (August 2005)
20050725 tpd --patch-42
20050725 mxr src/algebra/combfunc.spad fix symbols in sums and products
20050725 tpd src/input/Makefile TESTFR.output
20050725 tpd src/algebra/Makefile create TESTFR.input
20050725 mxr src/algebra/fr.spad handle units in FR differentiate
20050725 mxr src/algebra/string.spad make match use CHARACTER(wildcard)
20050724 tpd --patch-41
20050724 tpd src/graph/view2D/viewport2D.c fix ambiguous statement structures
20050724 tpd src/doc/Makefile fix DeveloperNotes to use latex, not document
20050724 tpd src/doc/Makefile fix book to use latex rather than document
20050724 tpd src/doc/Makefile fix Rosetta to use latex rather than document
20050724 tpd src/interp/daase.lisp probe-file -> truename
20050724 tpd lsp/Makefile section GCL-2.6.7pre created
20050724 tpd zips/gcl-2.6.7pre.unixport.makefile.patch
20050724 tpd zips/gcl-2.6.7pre.h.linux.defs.patch
20050724 tpd zips/gcl-2.6.7pre.unixport.init_gcl.lsp.in.patch created
20050724 tpd zips/gcl-2.6.7pre.cmpnew.gcl_cmpflet.lsp.patch created
20050724 tpd zips/gcl-2.6.7pre.cmpnew.gcl_cmpcall.lsp.patch created
20050724 tpd Makefile changed for gcl-2.6.7pre
20050724 tpd zips/gcl-2.6.7pre.tgz created
20050629 tpd FAQ add FAQ 34: How can I find out about a domain?
20050629 tpd FAQ add FAQ 33: How do I run hypertex standalone?
20050619 tpd src/input/Makefile pmint.input added
20050619 tpd src/input/pmint.input added
20050612 tpd --patch-40
20050611 tpd src/input/*.pamphlet \usepackage{axiom}
20050611 tpd src/input/Makefile  add dvi files
20050611 tpd src/input/Makefile  add stream2.output
20050611 tpd src/input/stream2.input add )set functions compile on
20050610 tpd src/interp/vmlisp.lisp define DFLOAT sec, csc, acsc, asec, csch
20050610 tpd src/interp/vmlisp.lisp define DFLOAT coth sech acsch acoth asech
20050609 tpd src/input/Makefile  add elemnum.output
20050609 tpd src/input/elemnum.input add )set break resume
20050609 tpd src/input/Makefile  add ode.output
20050609 tpd src/input/ode.input add )set break resume
20050604 tpd --patch-39
20050604 tpd Makefile VERSION update to Axiom 3.6 (June 2005)
20050603 tpd FAQ update FAQ 15
20050602 tpd --patch-38
20050602 tpd src/interp/setq.lisp add Evelyn Zoernack
20050602 tpd README add Evelyn Zoernack
20050602 tpd src/interp/setq.lisp add Sandra Wityak
20050602 tpd README add Sandra Wityak
20050602 tpd src/interp/setq.lisp add Claire Di Crescenzo
20050602 tpd README add Claire Di Crescenzo
20050602 tpd src/interp/setq.lisp add Howard Levy
20050602 tpd README add Howard Levy
20050602 tpd src/interp/setq.lisp add Paul Kosinski
20040602 tpd README add Paul Kosinski
20050528 tpd src/boot/Makefile respect NOISE flag
20050528 tpd src/interp/Makefile respect NOISE flag
20050528 tpd src/input/Makefile add VIEW2D.output
20050528 tpd src/algebra/Makefile add VIEW2D.input test
20050528 tpd src/algebra/view2D.spad document making multiple graphs
20050521 tpd FAQ 32 added
20050518 tpd --patch-37
20050518 tpd zips/noweb.src.Makefile.patch make noweb respect $AXIOM
20050517 tpd src/interp/interp-proclaims.lisp |NRTgetOperationAlistFromLisplib|
20050517 tpd src/interp/i-coerce.boot document getConstantFromDomain function
20050517 tpd src/interp/i-funsel.boot document isPartialMode function
20050517 tpd src/interp/macros.lisp document DEFUN CONTAINED
20050517 tpd src/interp/bootfuns.lisp document |$EmptyMode| constant
20050516 tpd --patch-36
20050516 bmt src/algebra/pgcd.spad fix failure in gcdPrimitive
20050516 bmt Barry Trager (bmt@us.ibm.com)
20050515 cxc license/LICENSE.CC Creative Commons License added
20050515 cxc src/doc/french/manuel2.tm added
20050515 cxc src/doc/french/manuel2.pdf added
20050515 cxc src/doc/french/manuel1.tm added
20050515 cxc src/doc/french/manuel1.pdf added
20050515 cxc src/doc/french/ac20.tm added
20050515 cxc src/doc/french/ac20.pdf added
20050515 cxc Christophe Conil Christophe.Conil@UTBM.fr
20050515 tpd src/doc/french created
20050515 tpd src/interp/setq.lisp add Christophe Conil, Quentin Carpent
20050515 tpd README add Christophe Conil, Quentin Carpent
20050403 tpd --patch-35
20050503 tpd src/hyper/show_types fix latex typo (underscore)
20050503 tpd src/hyper/parse_types fix latex typo (underscore)
20050503 tpd src/hyper/parse_paste fix latex typo (underscore)
20050503 tpd src/hyper/parse_input fix latex typo (underscore)
20050503 tpd src/hyper/parse_aux fix latex typo (underscore)
20050503 tpd src/hyper/form_ext fix latex typo (underscore)
20050503 tpd src/hyper/bitmaps fix latex typo (underscore)
20050503 tpd src/hyper/Makefile fix latex typo (underscore)
20050503 tpd src/sman/sman.c fix latex typo
20050503 tpd src/sman/nagman.c fix latex typo
20050503 tpd src/sman/session.c fix latex typo
20050503 tpd src/doc/book.dvi add \begin{quote}
20050503 tpd src/doc/Makefile cp ps subdir
20050503 tpd src/interp/rinterp.spad fix latex typo
20050503 tpd src/interp/i-resolv.boot fix latex typo
20050503 tpd src/interp/i-output.boot fix latex typo
20050503 tpd src/interp/br-saturn.boot fix latex typo
20050503 tpd src/algebra/float.spad fix # character
20050503 tpd src/algebra/catdef.spad fix & character
20050502 tpd src/interp/property.lisp fix control-G character
20050502 tpd src/algebra/clifford.spad fix diagrams.tex
20050502 tpd src/algebra/Makefile add diagrams.tex
20050501 tpd src/interp/Makefile fix latex typo
20050501 tpd src/boot/Makefile fix latex typo
20050501 tpd lsp/Makefile fix latex typo
20050501 tpd src/lib/Makefile fix latex typo
20050430 --patch-34
20050430 tpd axiomicon.png added
20050430 tpd axiom30yr.jpg added
20050430 tpd axiomlogo.jpg added
20050430 tpd axiomsml.jpg added
20050429 tpd src/hyper/hthits back out failing changes
20050428 tpd src/interp/Makefile back out failing <<save depsys image>> chunk
20050428 tpd src/boot/Makefile back out failing CMD0 change
20050428 cxm,mxm,tpd src/interp/Makefile <<save depsys image>> chunk
20050428 tpd src/interp/util.lisp document commented code
20050428 mxm src/sman/Makefile use DOCUMENT variable
20050428 mxm src/lib/Makefile use DOCUMENT variable, clean Makefile
20050428 mxm src/interp/Makefile use DOCUMENT variable
20050428 mxm src/input/Makefile use DOCUMENT, TANGLE variable
20050428 mxm src/hyper/Makefile use DOCUMENT, HTADD variable
20050428 mxm src/graph/viewAlone/Makefile use DOCUMENT variable
20050428 mxm src/graph/view3D/Makefile use DOCUMENT variable
20050428 mxm src/graph/view2D/Makefile use DOCUMENT variable
20050428 mxm src/graph/Makefile use DOCUMENT variable
20050428 mxm src/graph/Gdraws/Makefile use DOCUMENT variable
20050428 mxm src/etc/Makefile use DOCUMENT variable
20050428 mxm src/doc/Makefile use DOCUMENT variable
20050428 mxm src/clef/Makefile use DOCUMENT variable
20050428 mxm src/boot/Makefile use a new CMD0 string for loading
20050428 mxm lsp/Makefile add <<gcl-system>> chunk
20050428 mxm src/algebra/Makefile use TANGLE variable
20050428 mxm configure add make GCLVERSION=gcl-system
20050428 mxm Makefile add .freebsd stanza
20050427 mxm Makefile install separates the shell variables and export 
20050427 mxm Makefile lspclean removes the proper files
20050427 mxm Makefile libspadclean removes the proper files
20050427 tpd configure try to handle freebsd and noweb
20050427 tpd Makefile modify VERSION to Axiom 3.5 (May 2005)
20050427 mxm Makefile add DOCUMENT variable to environment
20050419 tpd sprint userid testing
20050401 tpd src/algebra/clifford.spad document CLIF
20050401 tpd src/doc/endpaper.pamphlet added
20050401 tpd src/doc/diagrams.tex added
20050321 mxm Makefile clean Makefile.${SYS}
20050321 mxm src/algebra/Makefile use test -z for NOISE check
20050321 mxm src/booklets/Makefile clean Makefile, Makefile.dvi
20050321 mxm src/doc/axiom.bib linux -> ${SYS}
20050321 mxm src/etc/Makefile clean Makefile, Makefile.dvi
20050321 mxm src/graph/viewman/cleanup.c no malloc.h for BSDplatform
20050321 mxm src/graph/viewman/sselect.c use SIGCHLD for BSDplatform
20050321 mxm src/graph/viewman/viewman.c use SIGCHLD for BSDplatform
20050321 mxm src/hyper/halloc.c no malloc.h for BSDplatform
20050321 mxm src/hyper/hthits replace regex matching routine
20050321 mxm src/hyper/hyper add BSDplatform, use SIGCHLD
20050321 mxm src/include/useproto.h add BSDplatform
20050321 mxm src/input/Makefile clean Makefile, Makefile.dvi
20050321 mxm src/interp/debugsys.lisp linux -> ${SYS} (not general solution)
20050321 mxm src/interp/nlib.lisp GCL code.lsp file rename
20050321 mxm src/interp/util.lisp linux -> ${SYS}
20050321 mxm src/lib/bsdsignal.c add BSDplatform
20050321 mxm src/lib/cfuns-c.c no malloc.h for BSDplatform
20050321 mxm src/lib/fnct_key.c add BSDplatform
20050321 mxm src/lib/openpty.c add BSDplatform
20050321 mxm src/lib/wct.c use long vs int for pwct->fsize
20050321 mxm src/lib/XDither.c no malloc.h for BSDplatform
20050321 mxm src/lib/XShade.c no malloc.h for BSDplatform
20050321 mxm Mark Murray <markm@FreeBSD.org>
20050320 tpd --patch-32
20050320 tpd Makefile revert VERSION to 3.4
20050320 tpd src/input/Makefile add ALGEBRA variable for documentation tests
20050320 tpd src/algebra/numtheory.spad build test case for INTHEORY
20050320 tpd src/algebra/Makefile add test case for INTHEORY
20050320 tpd src/Makefile make int/input directory during algebra step
20050320 tpd src/algebra/numtheory.spad document INTHEORY/chineseRemainder
20050320 tpd src/algebra/numtheory.spad document INTHEORY/inverse
20050318 tpd lsp/gcl-2.6.6/cmpnew/gcl_cmpflet.lsp redo tail-recursive patch
20050318 tpd src/lib/cfuns-c.c in make_path_from_file, initialize pos
20050318 tpd src/lib/wct.c coerce pwct->fsize to int in skim1Wct
20050318 tpd src/lib/sockio-c.c initialize code to -1
20050318 tpd src/lib/pixmap.c remove attr, xireturn unused variables
20050318 tpd Makefile latex fixes
20050318 tpd Makefile add <<GCLOPTS-LOCBFD>>
20050318 tpd src/hyper/Makefile Issue #125 htadd bare fixed
20050318 tpd --patch-31
20050314 tpd gcl-2.6.6.h.linux.h.patch add run-process to GCL
20050314 tpd zip/ccl.tgz added
20050314 tpd src/algebra/Makefile reduce build noise
20050314 tpd Makefile change VERSION to "Axiom 5.4 (April 2005)"
20050314 tpd lsp/Makefile handle gcl-2.6.6
20050314 tpd zips/gcl-2.6.6.tgz added
20050213 tpd Makefile change the VERSION string to March 2005
20050213 tpd src/interp/nocompil.lisp #+:ccl protected-symbol-warn msg
20050213 tpd bug 89 Types in the full book fixed
20050131 tpd --patch-30
20050131 tpd src/hyper/Makefile handle CVS directory
20050130 tpd src/interp/setq.lisp add Vladimir Bondarenko to credits
20050130 tpd README add Vladimir Bondarenko to credits
20050130 tpd --patch-29
20050130 tpd src/graph/viewman/Makefile fix typo in \title
20050130 tpd --patch-28
20050130 tpd src/hyper/releaseNotes.ht added
20050130 tpd src/hyper/rootpage.ht point to releaseNotes.ht
20050130 tpd src/hyper/Makefile make ht.db depend on src/hyper/pages/*
20050126 tpd --patch-27
20050126 tpd configure test for fedora core 3 system
20050126 tpd Makefile add fedora3 section
20050126 tpd Makefile fix solaris9 chunk
20050126 tpd src/hyper/graphics.ht unsplit line
20050126 tpd src/hyper/topics.ht  {{ }} -> { }
20050126 tpd src/hyper/rootpage.ht remove ANNA
20050126 tpd src/algebra/tex.spad fix product(product
20050126 tpd src/algebra/Makefile make generic-2 respect NOISE
20050126 tpd Makefile fix clean: to handle sys-dependent clean
20050126 tpd src/algebra/combfunc.spad fix D(0^z,z)
20050124 tpd FAQ 31: How can I find out if this is a known bug
20050124 tpd FAQ 30: How can I file a bug report?
20050123 tpd lsp/Makefile patch -> ${PATCH}
20050123 tpd Makefile patch -> ${PATCH}
20050123 tpd configure add solaris9 specific output
20050123 tpd Makefile add PATCH variable
20050123 tpd configure add SunOS -> Solaris9
20050119 tpd src/interp/Makefile remove noise lines from generic rules
20050119 tpd --patch-26
20050119 pab src/interp/i-syscmd.boot remove TRUENAME call
20050119 pab src/interp/ax.boot add makeAxExportForm function
20050119 pab src/interp/ax.boot add additional forms to makeAxFile return
20050119 pab src/interp/as.boot remove attributeAlist from opHash table
20050119 pab Peter Broadbery <peter.broadbery@ntlworld.com>
20050118 tpd FAQ 29: Where can I get help online?
20050118 tpd FAQ 28: Graphics does not work inside TeXmacs?
20050114 tpd --patch-25
20050114 tpd === end axiom--windows--1 changelog merge ==============
20041215 tpd src/Makefile reorder inputdir last
20041215 tpd lsp/Makefile uniquely renumber echo
20041215 tpd lsp/Makefile rename patch chunks
20041215 tpd zips/gcl-2.6.5w.h.mingw.defs.patch added
20041215 tpd zips/gcl-2.6.5w.h.mingw.defs.patch removed, reverse patch
20041215 tpd zips/gcl-2.6.5w.o.unixfsys.c.patch added
20041215 tpd zips/gcl-2.6.5w.unixfsys.c.patch removed, reverse patch
20041215 tpd zips/gcl-2.6.5w.o.mingfile.c.patch added
20041215 tpd zips/gcl-2.6.5w.mingfile.c.patch removed, reverse patch
20041215 tpd zips/gcl-2.6.5w.o.alloc.c.patch added
20041215 tpd zips/gcl-2.6.5w.alloc.c.patch removed, reverse patch
20041215 tpd lsp/Makefile add gcl-2.6.5w.h.gmp_wrappers.h.patch chunk
20041215 tpd lsp/Makefile typo change 2.6.52 -> 2.6.5w
20041215 tpd Makefile fix GCLVERSION=gcl-2.6.5w
20041214 tpd Makefile change SPD and ZIPS shell variable definitions
20041214 tpd zips/gcl-2.6.5w.cmpnew.gcl_cmpcall.lsp.patch added
20041214 tpd zips/gcl-2.6.5w.cmpnew.gcl_cmpflet.lsp.patch added
20041214 tpd zips/gcl-2.6.5w.h.gmp_wrappers.h.patch added
20041214 tpd zips/gcl-2.6.5w.h.linux.defs.patch added
20041214 tpd zips/gcl-2.6.5w.unixport.init_gcl.lsp.in.patch added
20041214 tpd zips/gcl-2.6.5w.unixport.makefile.patch added
20041214 mxt src/interp/nlib.lisp use makedir
20041214 mxt src/interp/cfuns.lisp define makedir
20041214 mxt src/interp/sys-pkg.lisp add external symbol for makedir
20041214 mxt src/lib/cfuns-c.c add makedir function
20041214 tpd lsp/Makefile handle GCLVERSION=gcl-2.6.5w for windows
20041214 tpd Makefile change to GCLVERSION=gcl-2.6.5w for windows
20041214 tpd zips/Makefile add gcl-2.6.5w for windows
20041214 tpd zips/gcl-2.6.5w.unixfsys.c.patch added
20041214 tpd zips/gcl-2.6.5w.mingfile.c.patch added
20041214 tpd zips/gcl-2.6.5w.h.mingw.defs.patch added
20041214 tpd zips/gcl-2.6.5w.alloc.c.patch added
20041208 tpd src/interp/port.lisp is for functions that are hard to port
20041208 tpd [[snip common changes]]
20041201 tpd src/lib/XSpadFill.c windows port
20041201 tpd src/lib/XShade.c windows port
20041201 tpd src/lib/XDither.c windows port
20041201 tpd src/lib/wct.c windows port
20041201 tpd src/lib/util.c windows port
20041201 tpd src/lib/spadcolors.c windows port
20041201 tpd src/lib/sockio-c windows port
20041201 tpd src/lib/pixmap.c windows port
20041201 tpd src/lib/openpty.c windows port
20041201 tpd src/lib/Makefile windows port
20041201 tpd src/lib/fnct_key.c windows port
20041201 tpd src/lib/cfuns-c.c windows port
20041201 tpd src/lib/bsdsignal.c windows port
20041201 tpd src/interp/sockio.lisp windows port
20041201 tpd src/interp/patches.lisp windows port
20041201 tpd src/interp/nlib.lisp windows port
20041201 tpd src/algebra/Makefile windows port
20041201 tpd Makefile windows port
20041201 tpd lsp/Makefile windows port
20050114 tpd === begin axiom--windows--1 changelog merge ============
20050114 wsp src/algebra/combfunc.spad now handles products of products
20050114 wsp src/algebra/sttaylor.spad handle UTS of a negative integer power
20050114 wsp src/algebra/trigcat.spad check trig fns for recip values
20050114 wsp,dpt src/algebra/float.spad fix negative shifts 
20050114 dpt Dylan Thurston <dpt@petunia.bostoncoop.net>
20050114 wsp src/algebra/Makefile rewritten with generic rules
20050113 tpd Makefile add Makefile.solaris9 subsection
20050112 tpd FAQ add FAQ 26: How can I compile spad files on windows?
20050112 tpd zips/gcl-2.6.5w.unixport.makefile.patch added
20050112 tpd zips/gcl-2.6.5w.unixport.init_gcl.lsp.in.patch added
20050112 tpd zips/gcl-2.6.5w.o.unixfsys.c.patch added
20050112 tpd zips/gcl-2.6.5w.o.mingfile.c.patch added
20050112 tpd zips/gcl-2.6.5w.o.alloc.c.patch added
20050112 tpd zips/gcl-2.6.5w.h.mingw.defs.patch added
20050112 tpd zips/gcl-2.6.5w.h.linux.defs.patch added
20050112 tpd zips/gcl-2.6.5w.h.gmp_wrappers.h.patch added
20050112 tpd zips/gcl-2.6.5w.cmpnew.gcl_cmpflet.lsp.patch added
20050112 tpd zips/gcl-2.6.5w.cmpnew.gcl_cmpcall.lsp.patch added
20050112 tpd src/sman/sman.c disable start_nagman by default in sman process
20050112 wsp src/lib/bsdsignal.c  MSYSplatform out the bsdsignal function
20050112 wsp src/lib/XSpadFill.c  MSYSplatform out the X11 code for windows
20050112 wsp src/lib/XShade.c     MSYSplatform out the X11 code for windows
20050112 wsp src/lib/XDither.c    MSYSplatform out the X11 code for windows
20050112 wsp src/interp/debugsys.lisp use $AXIOM rather than hardcoded paths
20050112 wsp,mxr src/input/bug10069.input.pamphlet added
20050112 wsp,mxr src/input/bug10312.input.pamphlet added
20050112 wsp,mxr src/input/bug6357.input.pamphlet added
20050112 wsp,mxr src/input/bug9057.input.pamphlet added
20050112 wsp,mxr src/input/negfloats.input.pamphlet added
20050112 wsp src/input/Makefile use implicit rules
20050112 wsp src/etc/Makefile wildcard generate databases
20050112 wsp src/Makefile dynamically generate algebra files
20050112 tpd src/Makefile add SRCDIRS variable 
20050112 tpd Makefile add SRCDIRS variable and section
20050111 tpd lsp/Makefile add gcl-2.6.5w for windows
20050111 wsp Makefile, add windows stanza
20050111 wsp src/algebra/algfunc.spad fix case for hackroot
20050109 cys Makefile.gentoo enable-locbfd disable-dynsysbfd disable-statsysbfd
20050108 tpd src/interp/setq.lisp add Gabriel Dos Reis 
20050108 tpd README add Gabriel Dos Reis 
20050108 kxo,cxm src/interp/util.lisp rewrite get-NAG-chapter
20050108 kxo Kostas Oikonomou <ko@research.att.org>
20050108 gdr src/clef/edible.c unlikely->AXIOM_UNLIKELY
20050108 gdr Gabriel Dos Reis <gdr@cs.tamu.edu>
20050103 tpd FAQ add FAQ 25: Can I create or edit hypertex pages?
20050103 tpd FAQ add FAQ 24: What is the purpose of the domain HACKPI?
20050102 tpd src/graph/viewports retry delete of directory
20050102 tpd --patch-24
20050102 tpd src/doc/booklet create booklet command
20050102 tpd src/*/Makefile add clean stanzas
20050102 tpd src/graph/Makefile  delete ${DOC}/viewports
20050102 tpd src/graph/viewports delete unused directory
20050102 tpd src/graph/viewman/Makefile   \usepackage{../../scripts/tex/axiom}
20050102 tpd src/graph/viewAlone/Makefile \usepackage{../../scripts/tex/axiom}
20050102 tpd src/graph/viewAlone/Makefile \usepackage{../../scripts/tex/axiom}
20050102 tpd src/graph/view3D/Makefile    \usepackage{../../scripts/tex/axiom}
20050102 tpd src/graph/view2D/Makefile    \usepackage{../../scripts/tex/axiom}
20050102 tpd src/graph/Gdraws/Makefile    \usepackage{../../scripts/tex/axiom}
20050102 tpd src/graph/viewman/Makefile   \usepackage{../../scripts/tex/axiom}
20050102 tpd src/graph/Makefile           \usepackage{../scripts/tex/axiom}
20050102 tpd src/algebra/Makefile         \usepackage{../scripts/tex/axiom}
20050102 tpd src/booklets/Makefile        \usepackage{../scripts/tex/axiom}
20050102 tpd src/boot/Makefile            \usepackage{../scripts/tex/axiom}
20050102 tpd src/clef/Makefile            \usepackage{../scripts/tex/axiom}
20050102 tpd src/doc/Makefile             \usepackage{../scripts/tex/axiom}
20050102 tpd src/etc/Makefile             \usepackage{../scripts/tex/axiom}
20050102 tpd src/hyper/Makefile           \usepackage{../scripts/tex/axiom}
20050102 tpd src/input/Makefile           \usepackage{../scripts/tex/axiom}
20050102 tpd src/interp/Makefile          \usepackage{../scripts/tex/axiom}
20050102 tpd src/lib/Makefile             \usepackage{../scripts/tex/axiom}
20050102 tpd src/sman/Makefile            \usepackage{../scripts/tex/axiom}
20050102 tpd src/Makefile usepackage{scripts/tex/axiom}
20050101 tpd Makefile gentoo branch added
20050101 tpd src/hyper directory copied
20050101 tpd src/sman/sman.c suppress debug output, don't start nagman
20050101 tpd src/Makefile add hyper directory
20050101 tpd src/interp/debugsys.lisp documentation
20050101 tpd src/graph/Makefile document the subdir Makefiles
20050101 tpd src/Makefile document the subdir Makefiles
20050101 tpd Makefile document the top level Makefile
20050101 tpd src/Makefile propagate cleanup of Makefile, Makefile.dvi
20050101 tpd Makefile clean Makefile and Makefile.dvi files
20050101 tpd src/boot/Makefile tmp -> ${TMP}
20050101 tpd === end axiom--hyperdoc--1 changelog merge =============
20050101 tpd axiom--hyperdoc--1--patch-5 merged
20041231 tpd src/hyper/viewports/* add files in subdirectories
20041231 tpd src/sman/sman.c.pamphlet remove debug, don't start nagman
20041231 tpd src/hyper/pages/util.ht remove share
20041231 tpd src/hyper/parse_aux.pamphlet comment out debugging code
20041231 tpd src/hyper/pages/util.ht remove share
20041231 tpd src/hyper/pages/ug11.pht remove share
20041231 tpd src/hyper/pages/ug10.pht remove share
20041231 tpd src/hyper/pages/ug08.pht remove share
20041231 tpd src/hyper/pages/ug07.pht remove share
20041231 tpd src/hyper/pages/ug01.pht remove share
20041231 tpd src/hyper/pages/ug00.ht remove share
20041231 tpd src/hyper/pages/ht.db complete rebuild with htadd
20041231 tpd src/hyper/pages/graphics.pht remove share
20041231 tpd src/hyper/pages/explot3d.pht remove share
20041231 tpd src/hyper/pages/explot2d.pht remove share
20041231 tpd src/hyper/pages/coverex.pht remove share
20041231 tpd src/hyper/pages/SEGBIND.pht remove share
20041231 tpd src/hyper/pages/HTXTryPage.ht remove share
20041231 tpd src/hyper/pages/HTXLinkPage6.ht remove share
20041231 tpd src/hyper/pages/HTXLinkPage5.ht remove share
20041231 tpd src/hyper/pages/HTXLinkPage4.ht remove share
20041231 tpd src/hyper/pages/HTXLinkPage3.ht remove share
20041231 tpd src/hyper/pages/HTXLinkPage2.ht remove share
20041231 tpd src/hyper/pages/HTXIntroPage3.ht remove share
20041231 tpd src/hyper/pages/HTXFormatPage8.ht remove share
20041231 tpd src/hyper/pages/HTXAdvPage5.ht remove share
20041231 tpd src/hyper/pages/HTXAdvPage3.ht remove share
20041231 tpd src/hyper/mem comment out debugging code
20041231 tpd src/hyper/lex add dumpToken function, comment debugging code
20041231 tpd src/hyper/initx comment out debugging code
20041231 tpd src/hyper/hyper comment out debugging code
20041231 tpd src/hyper/htadd comment out debugging code
20041231 tpd src/hyper/event comment out debugging code
20041231 tpd src/hyper/addfile comment out debugging code
20041231 tpd src/hyper/Makefile add pages section
20041231 tpd src/graph/Gdraws/Gfun.c change hardcoded pathnames to ps files
20041231 tpd src/etc/axiom rewritten
20041231 tpd src/Makefile rearrange DIRS, add mkdir -p to hyperdir
20041228 tpd CHANGELOG merged
20041228 swx,bsm src/hyper/search fix chunkname
20041228 swx,bsm src/hyper/ReadBitmap zopen -> fopen
20041228 swx,bsm src/hyper/parse_aux remove duplicate fclose
20041228 swx,bsm src/hyper/addfile change pathnames  
20041228 tpd add src/hyper/bitmaps
20041227 tpd add src/hyper/pages
20041119 tpd src/Makefile clef -> sman in the \section command
20041119 tpd src/boot/Makefile use ${TMP} rather than /tmp
20041119 tpd src/Makefile add hyper directory
20041119 tpd src/hyper directory added
20050101 axiom--hyperdoc--1--patch-5 merged
20050101 tpd === begin axiom--hyperdoc--1 changelog merge ===========
20050101 January 2005 version pushed to savannah CVS
20041228 src/doc/msgs/s2-us.msgs mod start msgs to center version, timestamp
20041228 tpd src/interp/msgdb.boot add *build-version* to spadStartUpMsgs
20041228 tpd src/interp/util.lisp remove version msg from yearweek
20041227 tpd src/interp/util.lisp fix yearweek typo
20041227 tpd src/input/Makefile remove GRAPHS
20041227 tpd Makefile fix typo, update Makefile
20041227 tpd README add Meino Cramer to credits
20041227 tpd src/interp/setq.lisp add Meino Cramer to credits
20041227 tpd README add Kathy Gerber to credits
20041227 tpd src/interp/setq.lisp add Kathy Gerber to credits
20041227 tpd README add Kostas Oikonomou to credits
20041227 tpd src/interp/setq.lisp add Kostas Oikonomou to credits
20041227 tpd README add Constantine Frangos to credits
20041227 tpd src/interp/setq.lisp add Constantine Frangos to credits
20041227 tpd README add Mike Thomas to credits
20041227 tpd src/interp/setq.lisp add Mike Thomas to credits
20041227 tpd README add Baldir Thomas to credits
20041227 tpd src/interp/setq.lisp add Baldir Thomas to credits
20041227 bsm FAQ is no longer executable
20041227 bsm Bob McElrath <bob+axiom@mcelrath.org>
20041227 tpd Makefile add VERSION variable
20041227 tpd src/interp/Makefile connect boot::*build-version* to VERSION
20041227 tpd src/interp/util.lisp add boot::*build-version* to yearweek
20041221 swx src/interp/debugsys.boot build debugsys w.r.t $AXIOM
20041221 sxw src/interp/msgdb.boot QCSIZE -> STRINGLENGTH
20041219 tpd configure uses uname and checks for gawk
20041219 tpd FAQ updated
20041217 tpd Makefile add GCLOPTS for the GCL ./configure command
20041217 tpd lsp/Makefile add GCLOPTS for the GCL ./configure command
20041208 tpd src/input/Makefile add BINDIR to SMANCMD
20041208 tpd src/Makefile reorder inputdir to last so sman exists
20041208 tpd src/input/Makefile enable graphics input file testing
20041208 wsp src/graph/Gdraws/Gfun.c fix path to remove share refs
20041207 mxt gcl-2.6.5/unixport/makefile fix bug for windows $^ expansion
20031207 mxt Mike Thomas <mike.thomas@brisbane.paradigmgeo.com>
20041206 wsp src/graph/Gdraws/Gfun.c fix path to remove share refs
20041203 sxw src/interp/i-syscmd.boot fix handleNoParseCommands, document
20041203 sxw src/interp/int-top.boot intloopPrefix? bigfixes, document
20041203 sxw src/interp/int-top.boot improve )fin test intloopReadConsol
20041203 bxt FAQ 17 written for pty fix
20041203 bxt Baldir Thomas <thomasb@math.ohio-state.edu>
20041124 tpd src/doc/book add quotes by Christopher Alexander
20041122 tpd src/algebra/Makefile finish unique echo numbering
20041122 tpd src/algebra/Makefile fix echo numbering
20041120 wsp CHANGELOG testing tla procedures (cygwin, tla-1.3)
20041120 wsp CHANGELOG testing tla procedures (RedHat 9, tla-1.2.1)
20041119 tpd CHANGELOG testing tla procedures
20041117 tpd src/include/sman.H1 main returns int not void
20041116 tpd src/Makefile create mnt/sys/lib before calling share Makefile
20041116 tpd src/sman directory added
20041116 tpd Makefile add fedora64 support, additional documentation
20041116 tpd src/Makefile add smandir stanza
20041116 tpd src/Makefile create mnt/sys/doc/src/clef directory
20041116 tpd src/share/Makefile build command.list
20041116 tpd src/clef/Makefile build edible.c.dvi
20041116 tpd src/clef/edible.c usepackage{axiom}
20041116 tpd src/clef/edible.c termios -> termio
20041116 tpd src/algebra/interval.spad add missing \begin{document}
20041116 tpd src/doc/Rosetta chance << to @<< to escape the false chunk name
20041115 tpd Makefile pass the environment variables to the noweb makefile
20041115 tpd Makefile patch noweb/src/Makefile to use ${MAKE} 
20041115 tpd zips/noweb.src.Makefile.patch updated to use ${MAKE}
20041115 tpd Makefile make COMMAND use INSTALL
20041028 tpd src/doc/book.pamphlet thank CAISS for support
20041028 tpd src/etc/axiom change clef to $AXIOM/bin/clef
20041028 tpd Makefile change COMMAND to default to /usr/local/bin/axiom
20041026 tpd Makefile add /usr/include/sys to find CCF for malloc.h
20041026 tpd Makefile rename gawk to awk
20041026 tpd Makefile define MACOSXplatform variable
20041026 tpd Makefile define MACOSX stanza
20041026 tpd src/include/pixmap.H1 rename zopen to zzopen to fix name conflict
20041026 tpd src/lib/pixmap.c rename zopen to zzopen to fix name conflict
20041026 tpd src/include/useproto.h define MACOSXplatform
20041026 tpd src/lib/openpty.c define MACOSXplatform
20041026 tpd src/lib/fnct_key.c SIGCLD -> SIGCHLD for MACOSX
20041026 tpd src/lib/bsdsignal.c SIGCLD -> SIGCHLD for MACOSX
20040822 tpd src/interp/setq.lisp fixed names
20040822 tpd README fixed names
20040822 tpd zips/gcl-2.6.5.cmpnew.gcl_cmpcall.lsp.patch added
20040822 tpd zips/gcl-2.6.5.cmpnew.gcl_cmpflet.lsp.patch added
20040822 tpd zips/gcl-2.6.5.h.linux.defs.patch added
20040822 tpd zips/gcl-2.6.5.unixport.init_gcl.lsp.in.patch added
20040822 tpd zips/gcl-2.6.5.unixport.makefile.patch added
20040822 tpd zips/gcl-2.6.5.tgz added
20040822 tpd zips/gcl-2.6.2a.tgz removed
20040822 tpd lsp/Makefile use GCLVERSION=gcl-2.6.5
20040822 tpd Makefile use GCLVERSION=gcl-2.6.5
20040730 mmm src/interp/setq.lisp fixed names
20040730 mmm README fixed names
20040730 mmm Marc Moreno Maza (moreno@scl.csd.uwo.ca)
20040730 sxw src/clef/edible.c termio -> termios on line 291
20040730 sxw Stephen Wilson (wilsons@multiboard.com)
20040720 tpd zips/gcl-2.6.3.cmpnew.gcl_cmpcall.lsp.patch added
20040720 tpd zips/gcl-2.6.3.cmpnew.gcl_cmpflet.lsp.patch added
20040720 tpd zips/gcl-2.6.3.h.linux.defs.patch added
20040720 tpd zips/gcl-2.6.3.unixport.init_gcl.lsp.in.patch added
20040720 tpd zips/gcl-2.6.3.unixport.makefile.patch added
20040720 tpd zips/gcl-2.6.3.tgz added
20040720 tpd zips/gcl-2.6.2.tgz removed
20040720 tpd zips/gcl-2.6.1.tgz removed
20040720 tpd lsp/Makefile use GCLVERSION=gcl-2.6.3
20040720 tpd Makefile use GCLVERSION=gcl-2.6.3
20040719 rxr src/algebra/reclos.spad removed debugging code 
20040716 tpd FAQ added more questions and answers
20040715 tpd src/input/Makefile add DOCFILES file list, make kuipers.input.dvi
20040715 tpd src/Makefile add mnt/linux/doc/src/input directory
20040715 tpd src/input/kuipers.input.pamphlet added
20040715 tpd src/input/Makefile add kuipers.input.pamphlet
20040715 tpd FAQ created
20040715 tpd README split out the FAQ
20040703 tpd src/algebra/Makefile fix USERLAYER
20040703 tpd src/interp/setq.lisp add Rubey, Vanuxem
20040703 tpd README add Rubey, Vanuxem
20040703 tpd README add FAQ 13 on using Lisp from Axiom
20040703 tpd src/algebra/rinterp.spad fixup .pamphlet file format
20040703 gxv src/algebra/exposed.lsp add RationalInterpolation
20040703 gxv src/algebra/Makefile fix typo in RINTERP.dvi
20040703 gxv (Gregory Vanuxem <g.vanuxem@wanadoo.fr>)
20040701 tpd Makefile mkdir obj/sys/lsp
20040701 tpd zips/gcl-2.6.2a.unixport.makefile.patch remove newline patch
20040701 tpd lsp/Makefile move gcl to GCLVERSION
20040701 tpd Makefile use gcl-2.6.2a
20040626 tpd src/share/Makefile echo cleanup
20040626 tpd src/scripts/Makefile remove tex subdir
20040626 tpd src/Makefile add graph dir
20040626 tpd src/Makefile echo cleanup
20040626 tpd src/lib/Makefile use axiom.sty
20040626 tpd src/lib/* use axiom package
20040626 tpd src/interp/Makefile dvi copy rather than generate
20040626 tpd src/interp/Makefile echo cleanup
20040626 tpd src/input/Makefile echo cleanup
20040626 tpd src/etc/Makefile echo cleanup
20040626 tpd src/doc/Makefile echo cleanup
20040626 tpd src/doc/Makefile move axiom.sty
20040626 tpd src/doc/DeveloperNotes use axiom package
20040626 cys src/doc/book.pamphlet use new graphics cmds
20040626 cys (Chris Yap <smustudent1@yahoo.com>)
20040626 tpd src/clef/Makefile.pamphlet echo cleanup
20040626 tpd src/algebra/Makefile.pamphlet echo cleanup
20040626 tpd src/scripts/tex directory removed
20040626 tpd src/scripts/axiom.sty removed
20040626 tpd Makefile.pamphlet add paragraph on LDF
20040623 tpd src/interp/Makefile use ${TANGLE}
20040623 tpd src/boot/Makefile use ${TANGLE}
20040623 tpd src/algebra/interval.spad fix typo in usepackage
20040623 tpd src/algebra/color.spad fix typo in usepackage
20040623 tpd src/algebra/cden.spad fix typo in usepackage
20040621 tpd src/algebra/* make mnt/sys/doc/src/algebra/*.dvi
20040619 tpd src/algebra/Makefile .div -> .dvi typo
20040619 tpd src/algebra/Makefile add DOCFILES to all: stanza
20040619 tpd src/algebra/Makefile DOC=/mnt/sys/doc/src/algebra
20040618 mxr src/algebra/rinterp.spad.pamphlet added
20040618 mxr (Martin Rubey <martin.rubey@univie.ac.at>)
20040618 tpd src/algebra/*.pamphlet use a common .style file
20040618 tpd Makefile add make book
20040618 tpd README, add clef to FAQ
20040618 tpd README, quote Fred Brooks
20040524 tpd src/doc/DeveloperNotes updated
20040524 tpd src/algebra/Makefile axiom.sty stanza and preconditions
20040524 tpd src/algebra/Makefile add DOCFILES target
20040524 tpd src/algebra/* usepackage{axiom}
20040524 tpd src/interp/Makefile add axiom.sty stanza and preconditions
20040524 tpd src/interp/Makefile add DOCFILES target
20040524 tpd src/interp/property.lisp added setName comment
20040524 tpd README added Elena Smirnova
20040524 tpd src/interp/* usepackage{axiom}
20040524 tpd src/interp/setq.lisp added Elena Smirnova
20040524 tpd src/interp/setvars.boot added )set output openmath handlers
20040524 tpd src/interp/setvars.boot documented
20040524 tpd src/interp/setvart.boot added )set output openmath
20040524 tpd src/interp/setvart.boot documented
20040524 tpd src/interp/Makefile removed nag-02b; subset of nag-02
20040524 tpd src/interp/Makefile removed nag-02a; subset of nag-02
20040524 tpd src/Makefile add mkdir -p for doc/src/* directories
20040524 tpd src/boot/Makefile axiom.sty stanza and preconditions
20040524 tpd src/boot/Makefile add DOCFILES target
20040524 tpd src/boot/* usepackage{axiom}
20040427 tpd src/interp/util.lisp comment out collectfn load
20040427 tpd src/interp/sys-pkg.lisp added FOAM exported symbols
20040427 tpd src/interp/Makefile add interp-proclaims.lisp
20040427 tpd add src/interp/interp-proclaims.lisp
20040427 tpd src/boot/Makefile add boot-proclaims.lisp
20040427 tpd add src/boot/boot-proclaims.lisp
20040427 tpd lsp/Makefile enable .fn emit in lisp images
20040427 tpd Makefile remove gcl-2.4.1 default
20040427 tpd Makefile mkdir obj/sys/lsp
20040421 tpd src/interp/setq.lisp add Bob McElrath (wiki setup)
20040421 tpd README add Bob McElrath (wiki setup)
20040420 tpd src/booklets/Rosetta.tex removed
20040420 tpd src/booklets/Rosetta.pamphlet moved to Rosetta.booklet
20040420 tpd src/doc/Makefile added Rosetta chunk
20040420 tpd src/doc/Rosetta.pamphlet added
20040409 cxm src/interp/macros.lisp change lengthenvec, make-init-vector
20040409 cxm (Camm Maguire <camm@enhanced.com>)
20040409 tpd Makefile use GCLVERSION=2.6.2a
20040409 tpd lsp/Makefile add gcl-2.6.2a stanza 
20040409 tpd add gcl-2.6.2a* to zips
20040401 tpd check book branch changes into main CVS
20040331 tpd merge book branch with main branch
20040330 exs src/doc/book.pamphlet change quoting to latex style 
20040330 exs (Eugene Surowitz <surow@attglobal.net>)
20040329 tpd src/doc/book.pamphlet proofread to book p179, ebook p295
20040328 dxm src/doc/Makefile add Book stanza, fix style file stanza
20040328 dxm src/doc/book.pamphlet Forward -> Foreword
20040328 dxm (David Mentre <david.mentre@wanadoo.fr>)
20040327 tpd src/doc/book.pamphlet proofread to book p135, ebook p219
20040327 tpd src/doc/book.pamphlet proofread to book p99, ebook p171
20040327 tpd src/doc/book.pamphlet proofread to book p93, ebook p163
20040326 tpd src/doc/book.pamphlet proofread to book p59, ebook p119
20040321 tpd src/doc/book.pamphlet proofread to end
20040319 tpd src/doc/book.pamphlet proofread to book p446, ebook p767
20040318 tpd src/doc/book.pamphlet proofread to book p404, ebook p662
20040317 tpd src/doc/book.pamphlet proofread to book p393, ebook p637
20040316 tpd src/doc/book.pamphlet revised the New Forward theme
20040316 tpd src/doc/book.pamphlet proofread to book p375, ebook p568
20040315 tpd src/doc/book.pamphlet proofread to book p361, ebook p541
20040313 tpd src/doc/book.pamphlet proofread to book p309, ebook p447
20040308 tpd src/doc/book.pamphlet create titlepage artwork
20040307 tpd src/doc/book.pamphlet proofread to book p179, ebook p301
20040307 tpd src/doc/book.pamphlet proofread to book p135, ebook p237
20040306 tpd src/doc/book.pamphlet add chapter 9
20040306 tpd src/doc/book.pamphlet add copyright appendix
20040301 tpd src/doc/book.pamphlet rebalance all braces
20040229 tpd src/doc/book.pamphlet proofread to book p109, ebook p199
20040228 tpd src/doc/book.pamphlet proofread to book p93, ebook p179
20040228 tpd src/doc/book.pamphlet proofread to book p59, ebook p135
20040228 tpd src/doc/book.pamphlet proofread to book p40, ebook p108
20040226 tpd src/doc/book.pamphlet proofread to book p19, ebook p79
20040225 tpd src/doc/book.pamphlet proofread to book p8
20040221 tpd Makefile.pamphlet add awkname to <<environment>>
20040221 tpd Makefile upgraded to use gcl-2.6.2
20040221 tpd Makefile.pamphlet upgraded to use gcl-2.6.2
20040221 tpd lsp/Makefile.pamphlet upgraded to use gcl-2.6.2
20040221 tpd zips/gcl-2.6.2.patches added
20040221 tpd zips/gcl-2.6.2.tgz added
20040209 tpd src/doc/ComputerTutorial.pamphlet added
20040209 tpd src/doc/ps subdirectory files added
20040209 tpd src/doc/primesp.spad.pamphlet added
20040209 tpd src/doc/gloss.text added
20040209 tpd src/doc/fnotes.tex added
20040209 tpd src/doc/book.pamphlet added
20040209 tpd src/doc/axiom.sty.pamphlet added
20040209 tpd src/doc/axiom.bib.pamphlet added
20040209 tpd zips/tla-1.1.tar.gz added
20040206 tpd src/etc/asq.c.pamphlet fix compiler warnings
20040204 tpd Makefile.linux remove
20040204 dxm src/clef/edible.c fix clef
20040204 dxm src/etc/Makefile.pamphlet fix clef
20040204 dxm src/etc/axiom fix clef
20040204 dxm src/lib/Makefile.pamphlet fix clef
20040204 dxm src/lib/openpty.c.pamphlet fix clef
20040126 tpd src/boot/Makefile remove string-downcase
20040125 jxw src/interp/Makefile case-sensitive fix by Juergen Weiss
20040125 jxw src/interp/util.lisp case-sensitive fix by Juergen Weiss
20040125 jxw (Juergen Weiss <weiss@uni-mainz.de>)
20040119 wys src/algebra/pleqn.spad updated by William Sit
20040119 wys (William Sit <wyscc@cunyvm.cuny.edu>)
20040119 rxr src/algebra/reclos.spad updated by Renaud Rioboo
20040119 rxr (Renaud Rioboo <Renaud.Rioboo@lib6.fr>)
20031124 tpd src/etc/axiom, remove clef
20031115 tpd Makefile, fix "install" stanza to copy axiom, not axiomcmd
20031115 tpd src/lib/Makefile, fix ${SRC}/Makefile.dvi to ${IN}/Makefile.dvi
20031115 tpd Makefile, use ${AWK} in noweb build
20031115 tpd Makefile, change Makefile.linux to use AWK=gawk
20031112 tpd src/algebra/Makefile only rebuild database if algebra changes
20031111 tpd lsp/Makefile removed --enable-readline
20031111 tpd src/scripts/document fix path to notangle, noweave
20031111 tpd lsp/ccl/src/util/Makefile use tangle
20031111 tpd lsp/ccl/src/cslbase/Makefile use TANGLE
20031111 tpd lsp/ccl/src/cclbase/Makefile use TANGLE
20031111 tpd src/input/Makefile add additional tests
20031111 tpd src/input/defs.input otherwise and when bugs
20031111 tpd src/input/knownbugs.input fix typo
20031111 tpd src/input/is.input fix typo
20031111 tpd src/input/cycles1.input fix typo
20031110 tpd Makefile removed WEAVE
20031110 tpd src/scripts/document move noweb to lib, eliminate SPAD
20031110 tpd Makefile move noweb commands to lib (out of user's path)
20031110 tpd src/scripts remove tangle, weave
20031110 tpd src/clef/Makefile, use TANGLE
20031110 tpd src/doc/DeveloperNotes, use notangle -> tangle
20031110 tpd src/doc/Makefile, use TANGLE
20031110 tpd src/algebra/Makefile, use TANGLE
20031110 tpd src/boot/Makefile, use TANGLE
20031110 tpd src/etc/Makefile, use document command, use TANGLE
20031110 tpd src/input/Makefile, use TANGLE, WEAVE
20031110 tpd src/interp/Makefile, use TANGLE, WEAVE
20031110 tpd src/lib/Makefile, use TANGLE, WEAVE
20031110 tpd src/scripts/document use tangle, weave
20031110 tpd src/scripts add tangle, weave
20031110 tpd src/scripts remove notangle, noweave
20031110 tpd Makefile add TANGLE, WEAVE variables, use them
20031109 tpd src/interp/setq.lisp unbalanced quote typo fixed
20031109 tpd src/lib/*.c.pamphlet change all the axiom.sty references
20031109 tpd src/Makefile comment out graphdir
20031109 tpd src/include/debug.h created
20031109 tpd src/lib/Makefile add hash.c.pamphlet
20031109 tpd src/lib/hash.c.pamphlet created
20031109 tpd src/lib/Makefile add dvis to mnt/linux/doc
20031109 tpd src/Makefile make lib subdirectories
20031109 tpd src/Makefile add graphdir
20031108 tpd Makefile changed to add XLIB for src/graph build
20031106 tpd remove zips/gcl-2.5.2.tgz
20031104 tpd src/interp/setq.lisp new kudos
20031104 tpd README new kudos
20031031 tpd src/Makefile add mkdir for mnt/linux/lib directory before etc
20031031 tpd src/lib/sockio-c.c kill AXIOM socket message
20031031 tpd src/clef/edible.c kill debugging message
20031031 tpd update README for axiom command
20031031 tpd update README for make install
20031030 tpd Makefile make install
20031030 tpd src/interp/Makefile rename axiom to AXIOMsys
20031030 tpd src/etc/Makefile build axiom command in $AXIOM/bin
20031030 tpd src/etc/axiom created
20031030 tpd src/etc/axiom.nag removed
20031030 tpd src/etc/axiom.2 removed
20031030 tpd src/etc/axiom.1 removed
20031030 tpd src/etc/Makefile add axiomcmd creation
20031030 tpd src/etc/axiomcmd added shell script using clef
20031030 tpd Makefile.pamphlet use proper stanza names in echo
20031030 tpd src/lib/Makefile use CCF variable in compiles
20031030 tpd src/lib/openpty.c recode to use LINUXplatform
20031030 tpd src/lib/bsdsignal.c recode to use LINUXplatform
20031030 tpd configure command added
20031028 tpd src/interp/vmlisp.lisp, add COT, ASEC functions
20031028 tpd src/doc/Makefile, copy DeveloperNotes to MID
20031028 tpd src/interp/vmlisp.lisp, changed list to cons in manexp
20031028 tpd src/input/Makefile, rearranged working/failing tests
20031028 tpd src/etc/Makefile, added summary, copyright here instead of lib
20031028 tpd src/etc/axiom.2 removed IBM Research Version echo
20031028 tpd src/lib/Makefile changed to pass -Dlinux, use ${CC}
20031028 tpd src/lib/bsdsignal.c modified for linux
20031028 tpd src/lib/openpty.c modified for linux
20031028 tpd src/clef/Makefile created
20031028 tpd src/clef/edible.c created
20031028 tpd src/clef created
20031028 tpd src/Makefile, add clef
20031028 tpd src/algebra/Makefile added RSDCMPK, INTRVL, ODEEF
20031028 tpd src/share/doc/msgs/s2-us.msgs, changed banner message
20031028 tpd Makefile.dvi removed, per Camm's request
20031028 tpd rewrite README
20031028 tpd src/input/r2.* to r2* file rename
20031028 tpd src/input/Makefile, rename r2.* to r2* stanzas
20031028 tpd src/input/Makefile, run all tests
20031028 tpd src/interp/vmlisp.lisp, add Juergen's get-current-directory fn
20031028 tpd src/interp/vmlisp.lisp, add Juergen's acot function
20031028 tpd src/Makefile, changed to create mnt/linux/lib
20031028 tpd src/lib/Makefile, changed to copy summary, copyright
20031028 tpd src/lib/copyright, added
20031028 tpd src/lib/summary, added
20031028 tpd src/interp/vmlisp.lisp, add Juergen's acot function
20031028 tpd src/interp/msgdb.boot, change startup msgs
20031028 tpd src/scripts/tail renamed to boxtail
20031028 tpd src/scripts/head renamed to boxhead
20031028 tpd src/scripts/boxup now uses boxhead, boxtail
20031028 tpd src/doc/Makefile, run document on DeveloperNotes
20031028 tpd src/interp/vmlisp.lisp, add Juergen's manexp function
20031027 tpd regen Makefile.dvi
20031027 tpd update src/input/Makefile with new tests
20031026 tpd remove Makefile.dvi files
20031025 wsp src/share/algebra/*.daase re-add Weiss CMU-CL version databases
20031024 tpd remove Makefiles, leave Makefile.pamphlets
20031024 wsp src/share/algegbra/*.daase update databases
20031024 wsp src/algegbra/Makefile complete lattice layers 22 and 23
20031024 tpd src/input/Makefile enable test cases
20031024 tpd src/Makefile add share
20031024 tpd src/share/Makefile re-fix doc/hypertex/pages/util.ht
20031023 tpd removed zips/gcl* versions except 2.5.2 and 2.6.1
20031022 tpd Makefile* gcl-2.6.1.tgz added
20031022 tpd lsp/Makefile* gcl-2.6.1.tgz added
20031022 tpd zips/gcl-2.6.1.* patches created
20031022 tpd zips/gcl-2.6.1.tgz added
20031015 tpd src/algebra/tex.spad add infinity to tex output mode
20031010 tpd fix copyright/license per NAG request
20031005 tpd src/interp/Makefile fix version explanation for *yearweek*
20031005 tpd src/algebra/INTERP.EXPOSED.pamphlet removed 
20031005 tpd src/interp/Makefile removed INTERP.EXPOSED
20031003 tpd src/interp/compiler.boot fix stack overflow in compMacro
20031002 tpd src/interp/setq.lisp, add Mark Murray to kudos
20031002 tpd Makefile, add Mark Murray to kudos
20031001 tpd Makefile, update FAQ to mention using preinstalled lisp images
20031001 tpd src/Makefile, change make to ${MAKE}
20031001 tpd lsp/ccl/src/Makefile, change make to ${MAKE}
20031001 tpd Makefile, change make to ${MAKE}
20030929 tpd src/interp/setq.lisp add Jinzhong Niu
20030929 tpd Makefile.pamphlet add Jinzhong Niu
20030928 tpd src/algebra/Makefile fill mnt/sys/src/algebra directory
20030928 tpd src/Makefile create mnt/sys/src/algebra directory
20030928 tpd src/interp/setq.lisp add Antoine Hersen, Jaap Weel
20030928 tpd Makefile.pamphlet add Antoine Hersen, Jaap Weel
20030928 tpd Makefile.pamphlet add makefile.mac stanza
20030928 tpd lowercase input filenames
20030907 tpd README updated to point to documentation sources
20030907 tpd src/scripts/tex/axiom.sty copied to match src/doc changes
20030907 tpd src/scripts/axiom.sty copied to match src/doc changes
20030907 tpd src/doc/axiom.sty.pamphlet updated for online book
20030907 tpd src/share/doc/hypertex/pages/util.ht automated
20030907 tpd src/share/Makefile created
20030907 tpd src/interp/Makefile re-fixed? CVS doesn't have the change???
20030907 tpd src/doc/Makefile add DeveloperNotes to mnt/linux/doc
20030907 tpd src/doc/axiom.sty updated for online book
20030907 tpd src/doc/DeveloperNotes add directory structure
20030906 tpd src/algebra/Makefile added
20030906 tpd create mnt/linux/doc/hypertex/pages/util.ht
20030906 tpd src/share/Makefile created
20030906 tpd src/Makefile updated to walk into share
20030906 tpd src/doc/DeveloperNotes updated
20030906 tpd src/doc/Makefile add DeveloperNotes
20030905 tpd src/interp/Makefile fix broken file
20030905 tpd removed zips/XFree86-devel-4.2.0-72.i386.rpm 
20030905 tpd README added
20030904 tpd src/interp/Makefile make axiom in mnt/linux/bin
20030904 tpd src/doc/DeveloperNotes update to include CVS instructions
20030904 tpd src/Makefile add docdir
20030904 tpd Makefile add David Diamond's poem
20030901 wsp src/share/algebra/*.daase update database curtesy Juergen Wiess
20030901 wsp (Bill Page <bill.page1@sympatico.ca>)
20030831 tpd src/interp/setq.lisp add Cyril Alberga, Mark Wegman to credits
20030831 tpd src/algebra/INTERP.EXPOSED fixed POLYCATf typo
20030830 tpd src/algebra/aggcat.spad add missing } to doc string
20030830 tpd lsp/Makefile add -enable-maxpage
20030830 tpd Makefile add Mike O'Connor to credits (per Dick Jenks)
20030830 tpd src/interp/setq.lisp add Mike O'Connor to credits (per Dick Jenks)
